Last modified: 2011-03-13 11:46:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22663 - Add some interwiki links in Special:Import of fr.wiktionary
Add some interwiki links in Special:Import of fr.wiktionary
Status: CLOSED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Rob Halsell
: shell
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-27 12:29 UTC by JackPotte
Modified: 2011-03-13 11:46 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description JackPotte 2010-02-27 12:29:16 UTC
Hello,

- Request: we need to add all possible interwikis links in [[special:import]], on [[wikt:fr]].

- Consensus: http://fr.wiktionary.org/wiki/Wiktionnaire:Demandes_aux_administrateurs#Sp.C3.A9cial:Importer

Best regards.
Comment 1 Raimond Spekking 2010-02-27 12:31:47 UTC
"all possible" is not valid. Please define a list of languages/projects you want to import from.
Comment 2 JackPotte 2010-02-27 12:42:39 UTC
Thanks for you rapidity:

[af:]]
[[ak:]]
[[ar:]]
[[ang:]]
[[ast:]]
[[gn:]]
[[id:]]
[[zh-min-nan:]]
[[bg:]]
[[br:]]
[[ca:]]
[[cs:]]
[[co:]]
[[da:]]
[[de:]]
[[et:]]
[[el:]]
[[en:]]
[[es:]]
[[eo:]]
[[fa:]]
[[fy:]]
[[ga:]]
[[gl:]]
[[gu:]]
[[hy:]]
[[hi:]]
[[he:]]
[[hsb:]]
[[hr:]]
[[io:]]
[[ia:]]
[[ie:]]
[[is:]]
[[it:]]
[[kk:]]
[[csb:]]
[[sw:]]
[[ko:]]
[[ku:]]
[[la:]]
[[lt:]]
[[li:]]
[[lo:]]
[[hu:]]
[[ml:]]
[[nl:]]
[[ja:]]
[[no:]]
[[oc:]]
[[nds:]]
[[pl:]]
[[pt:]]
[[ro:]]
[[ru:]]
[[scn:]]
[[simple:]]
[[sk:]]
[[sl:]]
[[sq:]]
[[st:]]
[[sr:]]
[[fi:]]
[[sv:]]
[[ta:]]
[[te:]]
[[vi:]]
[[th:]]
[[tt:]]
[[tr:]]
[[uk:]]
[[ur:]]
[[vo:]]
[[zh:]]
Comment 3 JeLuF 2010-03-15 21:58:21 UTC
    'frwiktionary' => array( 'af', 'ak', 'ar', 'ang', 'ast', 'gn', 'id', 'zhminnan', 'bg', 'br', 'ca', 'cs', 'co', 'da', 'de', 'et', 'el', 'en', 'es', 'eo', 'fa', 'fy', 'ga', 'gl', 'gu', 'hy', 'hi', 'he', 'hsb', 'hr', 'io', 'ia', 'ie', 'is', 'it', 'kk', 'csb', 'sw', 'ko', 'ku', 'la', 'lt', 'li', 'lo', 'hu', 'ml', 'nl', 'ja', 'no', 'oc', 'nds', 'pl', 'pt', 'ro', 'ru', 'scn', 'simple', 'sk', 'sl', 'sq', 'st', 'sr', 'fi', 'sv', 'ta', 'te', 'vi', 'th', 'tt', 'tr', 'uk', 'ur', 'vo', 'zh', 'w', 'n', 's', 'b', ),


Done.
Comment 4 JackPotte 2010-03-15 22:11:30 UTC
merci !
Comment 5 JackPotte 2010-05-09 11:56:44 UTC
Hello and sorry but I didn't notice that the Wikiversity was missing in the list above: we need to import 'v'.

Moreover, the French Wikibooks needs the same options, herewith the consensus:
http://fr.wikibooks.org/wiki/Wikilivres:Le_Bistro/Messages_actuels#Demande_d.27.C3.A9largissement_de_special:import.

Thanks a lot.
Comment 6 JeLuF 2010-05-10 05:22:24 UTC
Done.

    'frwikibooks' => array( 'af', 'ak', 'ar', 'ang', 'ast', 'gn', 'id', 'zhminnan', 'bg', 'br', 'ca', 'cs', 'co', 'da', 'de', 'et', 'el', 'en', 'es', 'eo', 'fa', 'fy', 'ga', 'gl', 'gu', 'hy', 'hi', 'he', 'hsb', 'hr', 'io', 'ia', 'ie', 'is', 'it', 'kk', 'csb', 'sw', 'ko', 'ku', 'la', 'lt', 'li', 'lo', 'hu', 'ml', 'nl', 'ja', 'no', 'oc', 'nds', 'pl', 'pt', 'ro', 'ru', 'scn', 'simple', 'sk', 'sl', 'sq', 'st', 'sr', 'fi', 'sv', 'ta', 'te', 'vi', 'th', 'tt', 'tr', 'uk', 'ur', 'vo', 'zh', 'w', 'n', 's', 'wikt', 'v', ),
Comment 7 JackPotte 2010-06-12 19:39:27 UTC
Hello and sorry again but the French Wikiversity needs now the same options, herewith the consensus:
http://fr.wikiversity.org/wiki/Wikiversit%C3%A9:La_salle_caf%C3%A9/22_2010

Many thanks.
Comment 8 JeLuF 2010-06-12 20:00:15 UTC
Please do not recycle old tickets to request something new. The default sort of bugzilla sorts tickets by ID. Your request would pop up in the middle of a list of WONTFIX-request that can't be closed for some reason and will not be noticed.
Comment 9 JeLuF 2010-06-12 20:00:43 UTC
Done.
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 854)
+++ InitialiseSettings.php	(working copy)
@@ -6071,7 +6071,7 @@
     'frwikibooks' => array( 'af', 'ak', 'ar', 'ang', 'ast', 'gn', 'id', 'zhminnan', 'bg', 'br', 'ca', 'cs', 'co', 'da', 'de', 'et', 'el', 'en', 'es', 'eo', 'fa', 'fy', 'ga', 'gl', 'gu', 'hy', 'hi', 'he', 'hsb', 'hr', 'io', 'ia', 'ie', 'is', 'it', 'kk', 'csb', 'sw', 'ko', 'ku', 'la', 'lt', 'li', 'lo', 'hu', 'ml', 'nl', 'ja', 'no', 'oc', 'nds', 'pl', 'pt', 'ro', 'ru', 'scn', 'simple', 'sk', 'sl', 'sq', 'st', 'sr', 'fi', 'sv', 'ta', 'te', 'vi', 'th', 'tt', 'tr', 'uk', 'ur', 'vo', 'zh', 'w', 'n', 's', 'wikt', 'v', ),
     'frwikinews' => array( 'w', 'en', 'de', 'es', 'it' ),
     'frwikiquote' => array( 'w', 'wikt', 's', 'b', 'n', 'v', 'meta', 'en' ),
-    'frwikiversity' => array( 'b', 'meta', 'en', 'beta', 'w' ),
+    'frwikiversity' => array( 'af', 'ak', 'ar', 'ang', 'ast', 'gn', 'id', 'zhminnan', 'bg', 'br', 'ca', 'cs', 'co', 'da', 'de', 'et', 'el', 'en', 'es', 'eo', 'fa', 'fy', 'ga', 'gl', 'gu', 'hy', 'hi', 'he', 'hsb', 'hr', 'io', 'ia', 'ie', 'is', 'it', 'kk', 'csb', 'sw', 'ko', 'ku', 'la', 'lt', 'li', 'lo', 'hu', 'ml', 'nl', 'ja', 'no', 'oc', 'nds', 'pl', 'pt', 'ro', 'ru', 'scn', 'simple', 'sk', 'sl', 'sq', 'st', 'sr', 'fi', 'sv', 'ta', 'te', 'vi', 'th', 'tt', 'tr', 'uk', 'ur', 'vo', 'zh', 'w', 'n', 's', 'wikt', 'v', ),
     'frwiktionary' => array( 'af', 'ak', 'ar', 'ang', 'ast', 'gn', 'id', 'zhminnan', 'bg', 'br', 'ca', 'cs', 'co', 'da', 'de', 'et', 'el', 'en', 'es', 'eo', 'fa', 'fy', 'ga', 'gl', 'gu', 'hy', 'hi', 'he', 'hsb', 'hr', 'io', 'ia', 'ie', 'is', 'it', 'kk', 'csb', 'sw', 'ko', 'ku', 'la', 'lt', 'li', 'lo', 'hu', 'ml', 'nl', 'ja', 'no', 'oc', 'nds', 'pl', 'pt', 'ro', 'ru', 'scn', 'simple', 'sk', 'sl', 'sq', 'st', 'sr', 'fi', 'sv', 'ta', 'te', 'vi', 'th', 'tt', 'tr', 'uk', 'ur', 'vo', 'zh', 'w', 'n', 's', 'b', 'v', ),
     'ganwiki' => array( 'incubator' ),
     'gdwiki' => array( 'en', 'de', 'ga', 'gv' ),
Comment 10 JackPotte 2010-08-27 16:51:07 UTC
Please,

1) We need to import from Wikiquote and Commons too from these 3 sites.

2) The French Wikisource has voted for too (consensus: http://fr.wikisource.org/wiki/Wikisource:Scriptorium#Wikisource:Ambassade)

Best regards.
Comment 11 JackPotte 2010-08-28 13:48:37 UTC
Moreover, every Wiki should be able to import Meta, at least to accomplish a JavaScript synchronisation: http://meta.wikimedia.org/wiki/Category_talk:JavaScript (my biggest problem).
Comment 12 JackPotte 2011-01-08 18:30:47 UTC
At the present moment we import from Meta by copying and putting the source in summary.
Comment 13 JackPotte 2011-03-02 18:46:23 UTC
Now the French Wikipedia needs the same interwikis languages please:
Wikipédia:Requête_aux_administrateurs/Requêtes_refusées#Importation_de_en:Comparison_of_disk_cloning_software
Comment 14 Antoine "hashar" Musso (WMF) 2011-03-13 11:09:33 UTC
JackPotte : merci de créer de nouvelles demandes dans bugzilla / Please create new bugzilla requests.


Comments 10, 11, 12 and 13 not handled.  I am now closing this bug report.
Comment 15 JackPotte 2011-03-13 11:33:17 UTC
You (Bugzilla) are still the Achille's heel of Wikimedia:
- Some requests wait for more than one year, without any official reason.
- You're asking me to fragment this simple single request (improving the default [[special:import]]) in several ones after many weeks. If I was absent, these four untreated comments, engendered by some long votes on the precious time of our skilled volunteers would be buried.
- When I proposed my help as a recognized developer (13 bot flags and more published scripts), you've just answered "no" (I can easily imagine the worst reasons).

So I'll continue to struggle a while, knowing this process.
Comment 16 JackPotte 2011-03-13 11:46:51 UTC
The suite into 28024.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links